package com.securitycontrol.background.service;

import com.securitycontrol.entity.background.dto.VehicleDto;
import com.securitycontrol.entity.background.vo.VehicleVo;
import com.securitycontrol.common.core.web.domain.AjaxResult;

import java.util.List;

/**
 * 车辆管理
 */
public interface VehicleService {

    /**
     * 获取车辆列表
     */
    List<VehicleVo> getVehicleLists(VehicleVo dto);


    /**
     * 新增/修改
     *
     */
    AjaxResult addOrUpdateVehicle(VehicleVo vo);


    /**
     * 删除
     */
    AjaxResult delVehicleById(VehicleVo dto);

    List<VehicleVo> getLists(VehicleVo dto);

    List<VehicleDto> getListsDto(VehicleDto dto);
}
